Index: src/test/java/net/sf/ehcache/event/NullCacheEventListener.java
===================================================================
--- src/test/java/net/sf/ehcache/event/NullCacheEventListener.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/event/NullCacheEventListener.java	(working copy)
@@ -20,8 +20,9 @@
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Element;
 
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 
 /**
@@ -33,28 +34,26 @@
  */
 public class NullCacheEventListener implements CacheEventListener {
 
-    private static final Logger LOG = Logger.getLogger(NullCacheEventListener.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(NullCacheEventListener.class);
 
 
     /**
      * {@inheritDoc}
      */
     public void notifyElementRemoved(final Ehcache cache, final Element element) {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine("notifyElementRemoved called for cache " + cache + " for element with key " + element.getObjectKey());
-        }
+        LOG.debug("notifyElementRemoved called for cache {} for element with key {}", cache, element.getObjectKey());
     }
 
     /**
      * {@inheritDoc}
      */
     public void notifyElementPut(final Ehcache cache, final Element element) {
-        if (LOG.isLoggable(Level.FINE)) {
+        if (LOG.isDebugEnabled()) {
             Object key = null;
             if (element != null) {
                 key = element.getObjectKey();
             }
-            LOG.fine("notifyElementPut called for cache " + cache + " for element with key " + key);
+            LOG.debug("notifyElementPut called for cache {} for element with key {}", cache, key);
         }
     }
 
@@ -72,12 +71,12 @@
      * @param element the element which was just put into the cache.
      */
     public void notifyElementUpdated(final Ehcache cache, final Element element) throws CacheException {
-        if (LOG.isLoggable(Level.FINE)) {
+        if (LOG.isDebugEnabled()) {
             Object key = null;
             if (element != null) {
                 key = element.getObjectKey();
             }
-            LOG.fine("notifyElementUpdated called for cache " + cache + " for element with key " + key);
+            LOG.debug("notifyElementUpdated called for cache {} for element with key ", cache, key);
         }
     }
 
@@ -85,8 +84,8 @@
      * {@inheritDoc}
      */
     public void notifyElementExpired(final Ehcache cache, final Element element) {
-        if (LOG.isLoggable(Level.FINE)) {
-            LOG.fine("notifyElementExpired called for cache " + cache + " for element with key " + element.getObjectKey());
+        if (LOG.isDebugEnabled()) {
+            LOG.debug("notifyElementExpired called for cache {} for element with key {}", cache, element.getObjectKey());
         }
     }
 
Index: src/test/java/net/sf/ehcache/event/CacheEventListenerTest.java
===================================================================
--- src/test/java/net/sf/ehcache/event/CacheEventListenerTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/event/CacheEventListenerTest.java	(working copy)
@@ -16,27 +16,29 @@
 
 package net.sf.ehcache.event;
 
-import net.sf.ehcache.AbstractCacheTest;
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.CacheManager;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Element;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.IOException;
 import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.Date;
 import java.util.List;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+
+import net.sf.ehcache.AbstractCacheTest;
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.CacheManager;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Element;
 
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 /**
  * Tests the cache listener functionality
@@ -46,7 +48,7 @@
  */
 public class CacheEventListenerTest extends AbstractCacheTest {
 
-    private static final Logger LOG = Logger.getLogger(CacheEventListenerTest.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(CacheEventListenerTest.class);
 
 
     /**
@@ -755,7 +757,7 @@
                         assertTrue(cache.getCacheEventNotificationService().unregisterListener(listener));
 
                     } catch (Throwable t) {
-                        LOG.log(Level.SEVERE, "", t);
+                        LOG.error("", t);
                         fail();
                     }
                 }
Index: src/test/java/net/sf/ehcache/DiskStoreTest.java
===================================================================
--- src/test/java/net/sf/ehcache/DiskStoreTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/DiskStoreTest.java	(working copy)
@@ -16,18 +16,12 @@
 
 package net.sf.ehcache;
 
-import net.sf.ehcache.config.DiskStoreConfiguration;
-import net.sf.ehcache.store.DiskStore;
-import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
-import net.sf.ehcache.store.Primitive;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertFalse;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Test;
 
 import java.io.ByteArrayOutputStream;
 import java.io.File;
@@ -40,9 +34,16 @@
 import java.util.Date;
 import java.util.List;
 import java.util.Random;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.config.DiskStoreConfiguration;
+import net.sf.ehcache.store.DiskStore;
+import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
+import net.sf.ehcache.store.Primitive;
+
+import org.junit.After;
+import org.junit.Test;
+
 /**
  * Test cases for the DiskStore.
  *
@@ -854,9 +855,9 @@
             waitLonger();
             int predictedSize = 140800;
             long actualSize = diskStore.getDataFileSize();
-            LOG.log(Level.INFO, "Predicted Size: " + predictedSize + " Actual Size: " + actualSize);
+            LOG.info("Predicted Size: " + predictedSize + " Actual Size: " + actualSize);
             assertEquals(predictedSize, actualSize);
-            LOG.log(Level.INFO, "Memory Use: " + measureMemoryUse());
+            LOG.info("Memory Use: " + measureMemoryUse());
         }
 
 
@@ -995,7 +996,7 @@
                             + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"));
         }
         long time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "time: " + time);
+        LOG.info("time: " + time);
         assertTrue(4 < time);
     }
 
@@ -1018,7 +1019,7 @@
             random.nextBytes(bytes);
             cache.put(new Element("" + i, bytes));
         }
-        LOG.log(Level.INFO, "Elements written: " + i);
+        LOG.info("Elements written: " + i);
         //Thread.sleep(100000);
     }
 
@@ -1048,7 +1049,7 @@
 
 
         long elapsed = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Elapsed time: " + elapsed / 1000);
+        LOG.info("Elapsed time: " + elapsed / 1000);
         Thread.sleep(500);
         assertEquals(100000, cache.getSize());
         assertTrue(23 < elapsed);
@@ -1101,10 +1102,10 @@
                 Thread.sleep(2000);
             }
             long elapsed = stopWatch.getElapsedTime();
-            LOG.log(Level.INFO, "Elapsed time: " + elapsed / 1000);
+            LOG.info("Elapsed time: " + elapsed / 1000);
             fail();
         } catch (OutOfMemoryError e) {
-            LOG.log(Level.INFO, "All heap consumed after " + index + " entries created.");
+            LOG.info("All heap consumed after " + index + " entries created.");
             int expectedMax = 3090000;
             assertTrue("Achieved " + index.intValue() + " which was less than the expected value of " + expectedMax,
                     index.intValue() >= expectedMax);
@@ -1148,7 +1149,7 @@
         }
         long elapsed = stopWatch.getElapsedTime();
         long putTime = ((elapsed / 1000) - 10);
-        LOG.log(Level.INFO, "Put Elapsed time: " + putTime);
+        LOG.info("Put Elapsed time: " + putTime);
         assertTrue(putTime < 20);
 
         //wait for Disk Store to finish spooling
@@ -1166,7 +1167,7 @@
 
         long getElapsedTime = getStopWatch.getElapsedTime();
         int time = (int) ((getElapsedTime - getStart) / 1000);
-        LOG.log(Level.INFO, "Get Elapsed time: " + time);
+        LOG.info("Get Elapsed time: " + time);
 
         assertTrue(time < 180);
 
Index: src/test/java/net/sf/ehcache/exceptionhandler/CustomExceptionThrowingLoader.java
===================================================================
--- src/test/java/net/sf/ehcache/exceptionhandler/CustomExceptionThrowingLoader.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/exceptionhandler/CustomExceptionThrowingLoader.java	(working copy)
@@ -32,16 +32,17 @@
  *  limitations under the License.
  */
 
+import java.util.Collection;
+import java.util.Map;
+import java.util.Random;
+
 import net.sf.ehcache.CacheException;
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Status;
 import net.sf.ehcache.loader.CacheLoader;
 
-import java.util.Collection;
-import java.util.Map;
-import java.util.Random;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -55,7 +56,7 @@
  */
 public class CustomExceptionThrowingLoader implements CacheLoader {
 
-    private static final Logger LOG = Logger.getLogger(CustomExceptionThrowingLoader.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(CustomExceptionThrowingLoader.class);
 
     private Random random = new Random();
     private String name = "CustomExceptionThrowingLoader";
@@ -75,7 +76,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         throw new UnsupportedOperationException("load not supported by CustomExceptionThrowingLoader");
     }
@@ -97,7 +98,7 @@
         try {
             Thread.sleep(random.nextInt(4));
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         throw new UnsupportedOperationException("loadAll not supported by CustomExceptionThrowingLoader");
 
@@ -119,7 +120,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         throw new UnsupportedOperationException("2-arg load not supported by CustomExceptionThrowingLoader");
     }
@@ -139,7 +140,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         throw new UnsupportedOperationException("2-arg loadAll not supported by CustomExceptionThrowingLoader");
     }
Index: src/test/java/net/sf/ehcache/ConcurrencyProblemCacheTest.java
===================================================================
--- src/test/java/net/sf/ehcache/ConcurrencyProblemCacheTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/ConcurrencyProblemCacheTest.java	(working copy)
@@ -17,17 +17,17 @@
 
 package net.sf.ehcache;
 
-import org.junit.After;
 import static org.junit.Assert.assertTrue;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.List;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+
 
 /**
  * Demonstrates a problem with Ben Manes' ConcurrentLinkedHashmap. This was used in beta4 but was found not to be
@@ -67,7 +67,7 @@
         cache = manager.getCache("sampleIdlingExpiringCache");
         for (int i = 0; i < 5; i++) {
             thrashCache(cache, 1500L);
-            LOG.log(Level.INFO, "Finished run.");
+            LOG.info("Finished run.");
         }
     }
 
@@ -77,7 +77,7 @@
         manager.addCache(cache);
         for (int i = 0; i < 5; i++) {
             thrashCache(cache, 1500L);
-            LOG.log(Level.INFO, "Finished run.");
+            LOG.info("Finished run.");
 
         }
     }
Index: src/test/java/net/sf/ehcache/loader/ComponentALoader.java
===================================================================
--- src/test/java/net/sf/ehcache/loader/ComponentALoader.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/loader/ComponentALoader.java	(working copy)
@@ -17,11 +17,10 @@
 package net.sf.ehcache.loader;
 
 
-import net.sf.ehcache.CacheException;
-
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.CacheException;
+
 
 /**
  * Written for Dead-lock poc
@@ -52,7 +51,7 @@
 
         boolean createDeadLock = Boolean.valueOf(props.getProperty("createDeadLock")).booleanValue();
 
-        LOG.log(Level.INFO, "createDeadLock=" + createDeadLock);
+        LOG.info("createDeadLock=" + createDeadLock);
 
         if (createDeadLock) {
             key = (String) arg0;
@@ -60,7 +59,7 @@
             key = new String((String) arg0);
         }
 
-        LOG.log(Level.INFO, "Getting componentB...");
+        LOG.info("Getting componentB...");
         b = (ComponentB) CacheHelper.get("ehcache-loaderinteractions.xml", "BCache", key);
 
         return new ComponentA(key, b);
Index: src/test/java/net/sf/ehcache/loader/CountingCacheLoader.java
===================================================================
--- src/test/java/net/sf/ehcache/loader/CountingCacheLoader.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/loader/CountingCacheLoader.java	(working copy)
@@ -16,18 +16,19 @@
 
 package net.sf.ehcache.loader;
 
-import net.sf.ehcache.CacheException;
-import net.sf.ehcache.Ehcache;
-import net.sf.ehcache.Status;
-
 import java.util.Collection;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Map;
 import java.util.Random;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 
+import net.sf.ehcache.CacheException;
+import net.sf.ehcache.Ehcache;
+import net.sf.ehcache.Status;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 /**
  * A cache loader that counts the number of things it has loaded, useful for testing.
@@ -40,7 +41,7 @@
  */
 public class CountingCacheLoader implements CacheLoader {
 
-    private static final Logger LOG = Logger.getLogger(CountingCacheLoader.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(CountingCacheLoader.class);
 
     private volatile int loadCounter;
     private volatile int loadAllCounter;
@@ -61,7 +62,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         return new Integer(loadCounter++);
     }
@@ -84,7 +85,7 @@
             try {
                 Thread.sleep(random.nextInt(4));
             } catch (InterruptedException e) {
-                LOG.log(Level.SEVERE, "Interrupted");
+                LOG.error("Interrupted");
             }
             map.put(key, new Integer(loadAllCounter++));
         }
@@ -120,7 +121,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         return name + ":" + argument;
     }
Index: src/test/java/net/sf/ehcache/loader/ExceptionThrowingLoader.java
===================================================================
--- src/test/java/net/sf/ehcache/loader/ExceptionThrowingLoader.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/loader/ExceptionThrowingLoader.java	(working copy)
@@ -17,16 +17,17 @@
 package net.sf.ehcache.loader;
 
 
-import net.sf.ehcache.CacheException;
-
 import java.util.Collection;
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.Map;
 import java.util.Random;
-import java.util.logging.Level;
-import java.util.logging.Logger;
 
+import net.sf.ehcache.CacheException;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
 
 /**
  * A cache loader that throws exceptions when used
@@ -38,7 +39,7 @@
  */
 public class ExceptionThrowingLoader extends CountingCacheLoader {
 
-    private static final Logger LOG = Logger.getLogger(ExceptionThrowingLoader.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(ExceptionThrowingLoader.class);
 
     private int loadCounter;
     private int loadAllCounter;
@@ -59,7 +60,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         throw new CacheException("Some exception with key " + key);
     }
@@ -82,7 +83,7 @@
             try {
                 Thread.sleep(random.nextInt(4));
             } catch (InterruptedException e) {
-                LOG.log(Level.SEVERE, "Interrupted");
+                LOG.error("Interrupted");
             }
             map.put(key, new Integer(loadAllCounter++));
             throw new CacheException("Some exception with key " + key);
@@ -101,7 +102,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         throw new CacheException("Some exception with key " + key);
     }
Index: src/test/java/net/sf/ehcache/loader/ComponentBLoader.java
===================================================================
--- src/test/java/net/sf/ehcache/loader/ComponentBLoader.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/loader/ComponentBLoader.java	(working copy)
@@ -16,11 +16,10 @@
 
 package net.sf.ehcache.loader;
 
-import net.sf.ehcache.CacheException;
-
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.CacheException;
+
 
 /**
  * Written for Dead-lock poc
@@ -45,7 +44,7 @@
      * @throws CacheException
      */
     public Object load(Object arg0) throws CacheException {
-        LOG.log(Level.INFO, "Loading Component B...");
+        LOG.info("Loading Component B...");
         String key = (String) arg0;
         return new ComponentB(key);
     }
Index: src/test/java/net/sf/ehcache/loader/NullCountingCacheLoader.java
===================================================================
--- src/test/java/net/sf/ehcache/loader/NullCountingCacheLoader.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/loader/NullCountingCacheLoader.java	(working copy)
@@ -16,15 +16,16 @@
 
 package net.sf.ehcache.loader;
 
+import java.util.Collection;
+import java.util.Map;
+import java.util.Random;
+
 import net.sf.ehcache.CacheException;
 import net.sf.ehcache.Ehcache;
 import net.sf.ehcache.Status;
 
-import java.util.Collection;
-import java.util.Map;
-import java.util.Random;
-import java.util.logging.Level;
-import java.util.logging.Logger;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -39,7 +40,7 @@
  */
 public class NullCountingCacheLoader implements CacheLoader {
 
-    private static final Logger LOG = Logger.getLogger(NullCountingCacheLoader.class.getName());
+    private static final Logger LOG = LoggerFactory.getLogger(NullCountingCacheLoader.class);
 
     private volatile int loadCounter;
     private volatile int loadAllCounter;
@@ -60,7 +61,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         loadCounter++;
         return null;
@@ -111,7 +112,7 @@
         try {
             Thread.sleep(random.nextInt(3) + 1);
         } catch (InterruptedException e) {
-            LOG.log(Level.SEVERE, "Interrupted");
+            LOG.error("Interrupted");
         }
         return name + ":" + argument;
     }
Index: src/test/java/net/sf/ehcache/loader/CompositeLoaderTest.java
===================================================================
--- src/test/java/net/sf/ehcache/loader/CompositeLoaderTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/loader/CompositeLoaderTest.java	(working copy)
@@ -17,13 +17,12 @@
 package net.sf.ehcache.loader;
 
 
+import java.util.logging.Logger;
+
 import org.junit.After;
 import org.junit.Before;
 import org.junit.Test;
 
-import java.util.logging.Level;
-import java.util.logging.Logger;
-
 
 /**
  * ComponentA is composed of ComponentB and some other fields. Tests the interactions between two loaders, where the first component's
@@ -59,9 +58,9 @@
      */
     @Test
     public void testCompositeLoad() {
-        LOG.log(Level.INFO, "Getting from cache");
+        LOG.info("Getting from cache");
         ComponentA compA = (ComponentA) CacheHelper.get("ehcache-loaderinteractions.xml", "ACache", "key1");
-        LOG.log(Level.INFO, compA.toString());
+        LOG.info(compA.toString());
 
     }
 
Index: src/test/java/net/sf/ehcache/MemoryStoreTester.java
===================================================================
--- src/test/java/net/sf/ehcache/MemoryStoreTester.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/MemoryStoreTester.java	(working copy)
@@ -16,26 +16,27 @@
 
 package net.sf.ehcache;
 
-import net.sf.ehcache.store.LruMemoryStoreTest;
-import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
-import net.sf.ehcache.store.Store;
-import org.junit.After;
 import static org.junit.Assert.assertEquals;
 import static org.junit.Assert.assertNotNull;
 import static org.junit.Assert.assertNull;
 import static org.junit.Assert.assertTrue;
 import static org.junit.Assert.fail;
-import org.junit.Before;
-import org.junit.Test;
 
 import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Date;
 import java.util.List;
 import java.util.Random;
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.store.LruMemoryStoreTest;
+import net.sf.ehcache.store.MemoryStoreEvictionPolicy;
+import net.sf.ehcache.store.Store;
+
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+
 /**
  * Other than policy differences, the Store implementations should work identically
  *
@@ -85,10 +86,10 @@
             }
         } catch (OutOfMemoryError e) {
             //OutOfMemoryError Happens at different places on Apache LRU for some reason
-            LOG.log(Level.INFO, e.getMessage());
+            LOG.info(e.getMessage());
         } catch (Throwable t) {
             //OutOfMemoryError Happens at different places on Apache LRU for some reason
-            LOG.log(Level.INFO, t.getMessage());
+            LOG.info(t.getMessage());
         }
     }
 
@@ -361,7 +362,7 @@
             assertNotNull(element);
         }
         long time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for Bulk Load: " + time);
+        LOG.info("Time for Bulk Load: " + time);
     }
 
     /**
@@ -383,7 +384,7 @@
             store.remove(key + i);
         }
         long time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for benchmarkPutGetRemove: " + time);
+        LOG.info("Time for benchmarkPutGetRemove: " + time);
         assertTrue("Too slow. Time was " + time, time < 500);
     }
 
@@ -406,7 +407,7 @@
             store.get(key + i);
         }
         long time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for benchmarkPutGet: " + time);
+        LOG.info("Time for benchmarkPutGet: " + time);
         assertTrue("Too slow. Time was " + time, time < 300);
     }
 
@@ -443,7 +444,7 @@
             store.put(element);
         }
         long time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for putSpeed: " + time);
+        LOG.info("Time for putSpeed: " + time);
         assertTrue("Too slow. Time was " + time, time < 4000);
     }
 
@@ -472,7 +473,7 @@
             }
         }
         long time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time for benchmarkPutGetSurya: " + time);
+        LOG.info("Time for benchmarkPutGetSurya: " + time);
         assertTrue("Too slow. Time was " + time, time < allowedTime);
     }
 
@@ -546,7 +547,7 @@
     @Test
     public void testMemoryLeak() throws Exception {
         long differenceMemoryCache = thrashCache();
-        LOG.log(Level.INFO, "Difference is : " + differenceMemoryCache);
+        LOG.info("Difference is : " + differenceMemoryCache);
         //Sometimes this can be higher but a three hour run confirms no memory leak. Consider increasing.
         assertTrue(differenceMemoryCache < 500000);
     }
@@ -559,7 +560,7 @@
 
 
         long startingSize = measureMemoryUse();
-        LOG.log(Level.INFO, "Starting memory used is: " + startingSize);
+        LOG.info("Starting memory used is: " + startingSize);
 
         final String value = "value";
         final String key = "key";
@@ -604,7 +605,7 @@
         store.removeAll();
 
         long finishingSize = measureMemoryUse();
-        LOG.log(Level.INFO, "Ending memory used is: " + finishingSize);
+        LOG.info("Ending memory used is: " + finishingSize);
         return finishingSize - startingSize;
     }
 
@@ -651,7 +652,7 @@
 
         runThreads(executables);
         long end = System.currentTimeMillis();
-        LOG.log(Level.INFO, "Total time for the test: " + (end + start) + " ms");
+        LOG.info("Total time for the test: " + (end + start) + " ms");
     }
 
 
@@ -669,7 +670,7 @@
      */
     @Test
     public void testMemoryStoreOutOfMemoryLimit() throws Exception {
-        LOG.log(Level.INFO, "Starting out of memory limit test");
+        LOG.info("Starting out of memory limit test");
         //Set size so the second element overflows to disk.
         cache = manager.getCache("memoryLimitTest");
         if (cache == null) {
@@ -687,7 +688,7 @@
                         + "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA"
                         + "AAAAA " + i));
             }
-            LOG.log(Level.INFO, "About to fail out of memory limit test");
+            LOG.info("About to fail out of memory limit test");
             fail();
         } catch (OutOfMemoryError e) {
             System.gc();
@@ -695,7 +696,7 @@
             System.gc();
 
             try {
-                LOG.log(Level.INFO, "Ran out of memory putting " + i + "th element");
+                LOG.info("Ran out of memory putting " + i + "th element");
                 assertTrue(i > 65000);
             } catch (OutOfMemoryError e1) {
                 //sometimes if we are really out of memory we cannot do anything
Index: src/test/java/net/sf/ehcache/CachePerformanceTest.java
===================================================================
--- src/test/java/net/sf/ehcache/CachePerformanceTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/CachePerformanceTest.java	(working copy)
@@ -1,13 +1,13 @@
 package net.sf.ehcache;
 
-import org.junit.After;
 import static org.junit.Assert.assertTrue;
-import org.junit.Before;
-import org.junit.Test;
 
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import org.junit.After;
+import org.junit.Before;
+import org.junit.Test;
+
 /**
  * Isolated performance test which only runs one cache at a time.
  *
@@ -71,7 +71,7 @@
             m500d500Cache.get(key);
         }
         time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time to get 50000 entries from m500d45500Cache: " + time);
+        LOG.info("Time to get 50000 entries from m500d45500Cache: " + time);
         assertTrue("Time to get 50000 entries from m500d500Cache", time < 20000);
     }
 
@@ -103,7 +103,7 @@
             m500d500Cache.get(key);
         }
         time = stopWatch.getElapsedTime();
-        LOG.log(Level.INFO, "Time to get 50000 entries from m50000Cache: " + time);
+        LOG.info("Time to get 50000 entries from m50000Cache: " + time);
         assertTrue("Time to get 50000 entries from m50000Cache", time < 20000);
     }
 
Index: src/test/java/net/sf/ehcache/concurrent/ConcurrencyUtilTest.java
===================================================================
--- src/test/java/net/sf/ehcache/concurrent/ConcurrencyUtilTest.java	(revision 1022)
+++ src/test/java/net/sf/ehcache/concurrent/ConcurrencyUtilTest.java	(working copy)
@@ -17,13 +17,14 @@
 package net.sf.ehcache.concurrent;
 
 
-import net.sf.ehcache.CacheException;
 import static org.junit.Assert.assertTrue;
-import org.junit.Test;
 
-import java.util.logging.Level;
 import java.util.logging.Logger;
 
+import net.sf.ehcache.CacheException;
+
+import org.junit.Test;
+
 
 /**
  * Isolation tests for ConcurrencyUtil
@@ -55,7 +56,7 @@
             if (20 <= lockIndexes[i] && lockIndexes[i] <= 40) {
                 continue;
             }
-            LOG.log(Level.INFO, i + ": " + lockIndexes[i]);
+            LOG.info(i + ": " + lockIndexes[i]);
             outliers++;
         }
         assertTrue(outliers <= 128);
